uniform sampler2D texUnit0;
varying vec4 EyePos;

void main (void) 
{
    vec2 coord=gl_TexCoord[0].xy;
    coord.y=coord.y+cos(EyePos.x*25)*0.015;
    if(coord.y<0) coord.y=0;
    coord.x=coord.x+sin(EyePos.x*25)*0.02;
    gl_FragColor = texture2D(texUnit0, coord)+gl_Color;
}
